Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.7.0

Bug #6175 incomplete error message with sapi interface only
Submitted: 2005-12-06 17:32 UTC Modified: 2006-01-09 04:25 UTC
From: farell Assigned: farell
Status: Closed Package: PEAR_PackageFileManager
PHP Version: 4.4.0 OS: Windows XP
Roadmaps: (Not assigned)    
Subscription  


 [2005-12-06 17:32 UTC] farell
Description: ------------ With PFM 1.6.0a4, when i try to validate a package with function debugPackageFile() and got messages with tags <xxx> inside, the message shown is incomplete. While in same time, with cli interface the message is complete Example: i got following message with Firefox, IE , ... WARNING: Invalid tag order in , found expected one of "pearinstaller" while with cli i got : WARNING: Invalid tag order in <dependencies><required>, found <package> expected one of "pearinstaller" It's not the only message See [..]PEAR\PackageFile\v2\Validator.php for implementation Expected result: ---------------- full error message under both interface (cli, sapi) Actual result: -------------- incomplete message under sapi interface only

Comments

 [2006-01-09 04:25 UTC] farell
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.